<?php

// 
// Imager v1.0.2
// Homepage http://pc-ebooks.com
//     
// 

if (! defined ( 'DATALIFEENGINE' )) {
	die ( "Hacking attempt!" );
}

define('IMAGER_CONFIG',ENGINE_DIR.'/data/imager.php');

class CServices {
  var $update = 0;
  var $msg = '';
  var $descr = '';

  function saveConfig($cfg) {
    $s = "<?php
    define('IMAGER_VER','1.0.2');

    define('FTP_SERVER','{$cfg['ip']}');
    define('FTP_USER_NAME','{$cfg['login']}');
    define('FTP_USER_PASS','{$cfg['passwd']}');
    define('FTP_PATH','{$cfg['path']}');

    define('ENABLE_DEBUG',0);
    define('LOGS_PATH','logs');
    define('WWW_DOMAIN','{$cfg['domain']}');
    define('WWW_URL','{$cfg['url']}');
    define('EXCLUDE_DOMAINS','{$cfg['excl_domains']}');
    define('ENABLED_IMG_EXTS','{$cfg['exts']}');

    define('MAX_IMAGE_WIDTH',{$cfg['max_width']});
    define('MIN_IMAGE_WIDTH_FOR_WATERMARK',{$cfg['min_width']});
    define('SET_WATERMARK',{$cfg['enable_wm']});
    define('ITEMS_LIMIT',{$cfg['limits']});
?>";
    file_put_contents(IMAGER_CONFIG,$s);
  }

  function checkVersion() {
    $s = @file_get_contents('http://pc-ebooks.com/imager/version.txt');
    if ($s) {
      ereg('<version>([^<]*)</version>',$s,$arr);
      if (IMAGER_VER<$arr[1]) {
        $this->update = 1;
        $this->msg = '<div class="red">!     v'.$arr[1].'. <a href="http://pc-ebooks.com/imager/" target="_blank"> </a></div>';
        ereg('<descr>([^<]*)</descr>',$s,$arr);
        $this->descr = $arr[1];
      }
    }
  }

  function showAdminPanel() {
    global $config;
    include_once IMAGER_CONFIG;

    $version = IMAGER_VER;
    $ip = slash_quote(FTP_SERVER);
    $login = slash_quote(FTP_USER_NAME);
    $passwd = slash_quote(FTP_USER_PASS);
    $path = slash_quote(FTP_PATH);
    $url = slash_quote(WWW_URL);
    $domain = slash_quote(WWW_DOMAIN);
    $excl_domains = slash_quote(EXCLUDE_DOMAINS);
    $limits = slash_quote(ITEMS_LIMIT);
    $exts = slash_quote(ENABLED_IMG_EXTS);
    $max_width = slash_quote(MAX_IMAGE_WIDTH);
    $min_width = slash_quote(MIN_IMAGE_WIDTH_FOR_WATERMARK);
    $enable_wm = SET_WATERMARK?0:1;

    $this->checkVersion();

    $update = $this->update?'':'hidden';
    echoheader( "", "" );
    echo <<<HTML
    <script src="/engine/inc/imager/jquery.js"></script>
    <script src="/engine/inc/imager/functions.js"></script>
    <script>
      var cpadmin = "{$config['admin_path']}";
    </script>

    <form action="?mod=imager" method="post" onsubmit="return validator()">
    <div style="padding-top:5px;padding-bottom:2px;">
    <table width="100%">
        <tr>
            <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
            <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
            <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
        </tr>
        <tr>
            <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
            <td style="padding:5px;" bgcolor="#FFFFFF">

    <table width="100%">
        <tr bgcolor="#EFEFEF" height="29">
          <td style="padding-left:10px;"><div class="navigation">Imager:         </div></td>
          <td style="padding-right:10px;" align="right"><div class="navigation">v{$version}</div></td>
        </tr>
    </table>
    <div class="unterline"></div>

    <table width="45%" align="left">
      <tr>
        <td style="padding-left:10px;" colspan="2"><b> FTP:</b></td>
      </tr>
      <tr>
        <td style="padding:2px;" colspan="2"><div class="hr_line"></div></td>
      </tr>
        <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[ ] body=[ FTP  (  IP)    <br>: ftp.site.ru]">
          <td style="padding:2px;" width="120"> :</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="ip" name="ip" value="{$ip}"></td>
        </tr>
        <tr title="header=[] body=[  FTP<br>: pupkinv]">
          <td style="padding:2px;">:</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="login" name="login" value="{$login}"></td>
        </tr>
        <tr title="header=[] body=[  FTP<br>: qwerty]">
          <td style="padding:2px;">:</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="password" id="passwd" name="passwd" value="{$passwd}"></td>
        </tr>
        <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[] body=[  FTP    <br>: /public_html/site.ru/uploads/posts/]">
          <td style="padding:2px;">:</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="path" name="path" value="{$path}"></td>
        </tr>
        <tr>
          <td style="padding:2px;" colspan="2"><div class="hr_line"></div></td>
        </tr>
    </table>

    <table width="55%" align="left">
      <tr>
        <td style="padding-left:10px;" colspan="2"><b> :</b></td>
      </tr>
      <tr>
        <td style="padding:2px;" colspan="2"><div class="hr_line"></div></td>
      </tr>
      <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[   FTP] body=[      .        FTP<br>: site.ru]">
        <td style="padding:2px;">   FTP:</td>
        <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="domain" name="domain" value="{$domain}"></td>
      </tr>
        <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[Web URL   FTP] body=[URL       FTP  <br>: http://site.ru/uploads/posts/]">
          <td style="padding:2px;">Web URL   FTP:</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="url" name="url" value="{$url}"></td>
        </tr>
        <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[-] body=[ ,      .      .  -  &quot;|&quot;,   (,   REGEXP!)<br>: site.ru|site.info|site.net]">
          <td style="padding:2px;">-:</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="excl_domains" name="excl_domains" value="{$excl_domains}"></td>
        </tr>
        <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[   ] body=[      .   - 10-50 <br>: 10]">
          <td style="padding:2px;">   :</td>
          <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="limits" name="limits" value="{$limits}"></td>
        </tr>
        <tr>
          <td style="padding:2px;" colspan="2"><div class="hr_line"></div></td>
        </tr>
    </table>

    <div style="clear:both"></div>

    <table width="100%">
      <tr>
        <td style="padding-left:10px;" colspan="2"><b>  :</b></td>
      </tr>
      <tr>
        <td style="padding:2px;" colspan="2"><div class="hr_line"></div></td>
      </tr>
      
      <tr class="hidden" title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[  ] body=[   .  -  &quot;|&quot;,   (,   REGEXP!)<br>: gif|jpg|png]">
        <td style="padding:2px;">  :</td>
        <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="exts" name="exts" value="{$exts}"></td>
      </tr>
      
      <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[ ] body=[   .       <br>: 700]">
        <td style="padding:2px;" width="335"> :</td>
        <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="max_width" name="max_width" value="{$max_width}"> </td>
      </tr>
      <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[    ] body=[      .         <br>: 150]">
        <td style="padding:2px;">     :</td>
        <td style="padding:2px;"><input class="edit" style="width:250px;" type="text" id="min_width" name="min_width" value="{$min_width}"> </td>
      </tr>
      <tr title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[  ] body=[    <br>: ]">
        <td style="padding:2px;">  :</td>
        <td style="padding:2px;">
          <select id="enable_wm" name="enable_wm">
            <option value="1"></option>
            <option value="0"></option>
          </select>
          <script>document.getElementById("enable_wm").selectedIndex = $enable_wm</script>
        </td>
      </tr>
      <tr>
        <td style="padding:2px;" colspan="2"><div class="hr_line"></div></td>
      </tr>
    </table>

    <div style="clear:both"></div>

    <table width="100%">
      <tr>
        <td id="imager_info">
	  <div class="$update" title="cssbody=[dvbdy1] cssheader=[dvhdr1] header=[  ] body=[{$this->descr}]">
            {$this->msg}
          </div>
          &nbsp;
        </td>
        <td width="20"><div id="progress" class="hidden"></div></td>
        <td align="right" width="250"> 
          <input type="button" value=" Imager" class="edit" onclick="start_imager()">
          <input type="submit" value="" class="edit">
        </td>
      </tr>
    <table>

    </td>
            <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
        </tr>
        <tr>
            <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
            <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
            <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
        </tr>
    </table>
    </div>
    <input type="hidden" name="action" value="save">
    <input type="hidden" name="mod" value="imager">
    </form>
    <div class="hr_line"></div>
    <div class="copyright">
      Copyright &copy; by <a href="http://pc-ebooks.com" target="_blank">pc-ebooks.com</a>, 2010<br>
       <a href="http://forum.all-ebooks.info/viewforum.php?f=15" target="_blank"></a> 
    </div>

    <link rel="stylesheet" type="text/css" href="/engine/inc/imager/styles.css"/>
    <script src="/engine/inc/imager/boxover.js"></script>
HTML;
    echofooter();
  }
}

?>