<?php

// 
// Imager v1.0.2
// Homepage http://pc-ebooks.com
//     
// 

if (! defined ( 'DATALIFEENGINE' )) {
	die ( "Hacking attempt!" );
}

define('IMAGER_CONFIG',ENGINE_DIR.'/data/imager.php');
define('IMAGER_TMP_DIR',ROOT_DIR.'/uploads/imager');
include_once IMAGER_CONFIG;

class CImageSaver {

  var $conn_id;
  var $logged = false;
  var $dir = '';
  var $file;
  var $ftp_server;
  var $ftp_user_name;
  var $ftp_user_pass;
  var $ftp_path;
  var $www;
  var $logs;
  var $params = 'data/';
  var $post_id = 1;
  var $total = 0;
  var $counter = 0;

  function CImageSaver() {
    //$this->getParams();
  }

  function done() {
    $this->closeFtp();
  } # done

  function connect2ftp() {
    $this->conn_id = ftp_connect($this->ftp_server);
    $this->logged = ftp_login($this->conn_id, $this->ftp_user_name, $this->ftp_user_pass);
  } # connect2ftp

  function closeFtp() {
    if ($this->conn_id)
      ftp_close($this->conn_id);
  } # closeFtp

  function save2ftp($file,$dest_file='') {
    $res = false;
    if (!$this->conn_id && !$this->logged) 
      $this->connect2ftp();
    if ($this->conn_id && $this->logged) {
      if (!$this->dir) {
        $this->dir = date('Y-m-d');
        if (@ftp_mkdir($this->conn_id,$this->ftp_path.'/'.$this->dir))
          $this->save2log('Create FTP folder "'.$this->ftp_path.'/'.$this->dir."\"\n");
      }
      if (!$dest_file) $dest_file = $file;
      $fp = fopen($file, 'r');
      $res = ftp_fput($this->conn_id, $this->ftp_path.'/'.$this->dir.'/'.$dest_file, $fp, FTP_BINARY);
      if ($res) {
        $this->file = $dest_file;
        $msg = "Successfully uploaded $file => $dest_file\nurl: ".$this->getWebUrl()."\n";
      } else {
        $msg = "There was a problem while uploading $file\n";
      }
      $this->save2log($msg);
      fclose($fp);
    }
    return $res;
  } # save2ftp

  function getWebUrl() {
    return $this->www.$this->dir.'/'.$this->file;
  } # getWebUrl

  function save2log($s) {
    if (ENABLE_DEBUG)
      file_put_contents($this->logs.'/logs.txt',$s,FILE_APPEND);
  } # save2log

  function saveParams() {
    $s = 'post_id:'.$this->post_id;
    file_put_contents($this->params.'/setting.txt',$s);
  } # saveParams

  function getParams() {
    $arr = file($this->params.'/setting.txt');
    foreach ($arr as $s) {
      $t = split(':',$s);
      $t[1] = trim($t[1]);
      switch (trim($t[0])) {
        case 'post_id':
          $this->post_id = $t[1];
          break;
      }
    }
  } # getParams

  function start() {
    global $db;

    $query = "SELECT * FROM ".PREFIX."_post WHERE 
      NOT CONCAT(short_story,full_story) REGEXP '<img[^>]*src=\"http://[^\"]*".WWW_DOMAIN."[^\"]*\"[^>]*>' AND
      CONCAT(short_story,full_story) REGEXP '<img[^>]*src'
      ORDER BY id DESC
      LIMIT ".ITEMS_LIMIT;
    $db->query($query);
    $this->save2log('Start '.date("d.m.Y H:i:s")."\n");
    while ($row = $db->get_array()) {
      $items[] = $row;
    }

    if ($items)
    foreach ($items as $row) {
      preg_match_all('/<(a|img)[^>]*(src|href)=("|\')([^"\']*)("|\')[^>]*>/i',$row['short_story'].$row['full_story'],$arr);
      $this->save2log("Post ID: {$row['id']}\n");
      $arr[4] = array_unique($arr[4]);
//print_r($arr);exit;
      $this->total = count($arr[4]);
      foreach ($arr[4] as $i => $img) 
        if (strpos($img,WWW_DOMAIN)===false && 
          ereg('\.('.ENABLED_IMG_EXTS.')$',$img) && 
          !ereg('\.(php|pl|cgi|py|exe|dll)$',$img) && 
          !ereg(EXCLUDE_DOMAINS,$img) && ereg('^http:',$img)
        ) {
          $filename = $row['id'].'-'.$i.ereg_replace('^.*\.','.',$img);
          $this->save2log($filename.' => '.$img."\n");
          $orig = $img;
          $img = $this->resize1($img);
          if ($img && $this->save2ftp($img,$filename)) {
            $new_link = $this->getWebUrl();
            $orig = addslashes($orig);
            $new_link = addslashes($new_link);
            $query = 'UPDATE '.PREFIX.'_post SET short_story = REPLACE(short_story,"'.$orig.'","'.$new_link.'"), full_story = REPLACE(full_story,"'.$orig.'","'.$new_link.'") WHERE id = '.$row['id'];
            $db->query($query);
            $this->save2log($query."\n");
          }
          @unlink($img);
          $this->save2log("\n");
          $this->counter++;
          $this->saveStat();
        }
    }
  } # start

  function saveFromWeb($url,$folder) {
     $file = $folder.'/'.ereg_replace('^.*/','',$url);
     $ch = @curl_init($url); 
     @curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
     @curl_setopt($ch, CURLOPT_VERBOSE, 1); 
     @curl_setopt($ch, CURLOPT_HEADER, 0); 
     @curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
     @curl_setopt($ch, CURLOPT_TIMEOUT, 3600);
       
     $content = @curl_exec($ch); 
     $res = curl_getinfo($ch);
     @curl_close($ch);
     
     $this->save2log('Download file '.$url.'.. ');
     if ($res['http_code']!=200) {
       $res = 0;
       $this->save2log("Error\n");
     } else {    
       $this->save2log("Ok\n");
       file_put_contents($file,$content);
       $res = 1;
     }
     return $file; 		
  } # saveFromWeb

  function resize1($file) {
    global $config;

    include_once ENGINE_DIR.'/classes/thumb.class.php';
    $tn = IMAGER_TMP_DIR.'/temp.'.ereg_replace("^.*\.",'',$file);
    if (@copy($file,$tn)) {
      $file = $tn;
      $thumb = new thumbnail($file);
      if ($thumb->size_auto(MAX_IMAGE_WIDTH,0)) {
      	$thumb->jpeg_quality($config['jpeg_quality']);
      	if (SET_WATERMARK) $thumb->insert_watermark(MIN_IMAGE_WIDTH_FOR_WATERMARK);
      	$thumb->save($file);
      	@chmod($file,0666);
      }
    } else
      $file = '';
    return $file;
  }

  function saveStat() {
    $s = "{total:{$this->total},cnt:{$this->counter}}";
    file_put_contents(IMAGER_TMP_DIR.'/stat.txt',$s);
  }

}

?>